=== docs/python/requirements.txt ===
autopep8
matplotlib
scikit-learn
skl2onnx
sphinx==5.3.0
sphinx-gallery
sphinxcontrib.imagesvg
sphinxcontrib.googleanalytics
sphinx_rtd_theme
furo
pyquickhelper
pandas
pydot
coloredlogs
flatbuffers
numpy
packaging
protobuf
sympy
onnx
sphinx_exec_code
sphinx_tabs
furo
-f https://download.pytorch.org/whl/torch/
torch
