=== onnxruntime/test/python/requirements.txt ===
onnx==1.16.1
pytest
