=== tools/ci_build/requirements/pybind/requirements.txt ===
setuptools
wheel
pytest
numpy>=1.19.0
sympy>=1.10
packaging
cerberus
psutil
