=== tools/ci_build/requirements/transformers-test/requirements.txt ===
# packages used by transformers python unittest (only enabled in Linux CPU CI Pipeline)
packaging
protobuf==3.20.2
numpy==1.24.0 ; python_version < '3.12'
numpy==1.26.0 ; python_version >= '3.12'
torch
coloredlogs==15.0
transformers==4.38.0
parameterized>=0.8.1
psutil
einops
