=== tools/ci_build/github/windows/eager/requirements.txt ===
setuptools
wheel
numpy==1.21.6 ; python_version < '3.9'
numpy==2.0.0 ; python_version >= '3.9'
typing_extensions
torch==1.13.1
parameterized
