=== onnxruntime/python/tools/transformers/models/llama/requirements.txt ===
optimum>=1.14.1
transformers>=4.33.2,<= 4.37.2
torch>=2.2.0
onnx==1.16.1
datasets>=2.8.0
protobuf==3.20.2
psutil
