=== onnxruntime/python/tools/transformers/models/phi2/requirements.txt ===
onnx==1.16.1
transformers>=4.36.2
onnxscript>=0.1.0.dev20240126
