=== onnxruntime/python/tools/transformers/models/stable_diffusion/requirements.txt ===
diffusers==0.28.0
transformers==4.41.2
numpy>=1.24.1
accelerate
onnx==1.16.0
coloredlogs
packaging
# Use newer version of protobuf might cause crash
protobuf==3.20.3
psutil
sympy
controlnet_aux==0.0.7
# The following are for SDXL
optimum==1.20.0
safetensors
invisible_watermark
# newer version of opencv-python migth encounter module 'cv2.dnn' has no attribute 'DictValue' error
opencv-python==4.8.0.74
