=== tools/ci_build/github/linux/docker/scripts/requirements.txt ===
cerberus
numpy==1.24.4 ; python_version < '3.9'
numpy==2.0.0; python_version >= '3.9'
mypy
pytest
setuptools==69.0.3
wheel==0.42.0
onnx==1.16.1
argparse
sympy==1.12
flatbuffers
protobuf==4.21.12
packaging
