=== debian/changelog ===
onnxruntime (1.19.2+dfsg-9) unstable; urgency=medium

  * Team upload.
  * Remove remaining dnnl-related config on riscv64 to fix build
  * d/rules: remove all potential loadable plugin files from
    python3-onnxruntime

 -- Shengqi Chen <harry@debian.org>  Fri, 24 Jan 2025 13:29:27 +0800

onnxruntime (1.19.2+dfsg-8) unstable; urgency=medium

  * Team upload.
  * d/tests: enable tests only on architectures with pytorch available
  * d/rules: disable onednn on riscv64 due to its lack of openmp support
  * d/rules: use ninja as cmake backend
  * d/patches: update metadata of some patches
  * lintian-overrides:
    + add no-manual-page for onnxruntime-tools
    + fix .so paths for libonnxruntime
  * d/control: mark onnxruntime-tools as Archtecture: all
  * d/control: remove disabled libnsync-dev from Build-Depends

 -- Shengqi Chen <harry@debian.org>  Thu, 23 Jan 2025 21:14:15 +0800

onnxruntime (1.19.2+dfsg-7) unstable; urgency=medium

  * Update symbols file for architectures where DNNL is enabled.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 21 Jan 2025 12:06:50 +0100

onnxruntime (1.19.2+dfsg-6) unstable; urgency=medium

  * Only install libonnxruntime_providers_dnnl.so on architectures
      where DNNL is enabled.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 17 Jan 2025 15:40:13 +0100

onnxruntime (1.19.2+dfsg-5) unstable; urgency=medium

  * Autopkgtest: add providers.py to check the f32 GEMM performance
    for all supported providers. Currently on amd64 we have three providers:
    dnnl, xnnpack, and cpu (onnxruntime built-in).
  * Only B-D on XNNPACK for some architectures. Then it can be built on ppc64el.
  * Enable DNNL (i.e., oneDNN) execution provider for selected architectures.
  * Refresh symbols control file and update lintian overrides.
  * Override dh_python3 to remove redundant dnnl provider.

 -- Mo Zhou <lumin@debian.org>  Tue, 14 Jan 2025 19:05:30 -0500

onnxruntime (1.19.2+dfsg-4) unstable; urgency=medium

  [ Mo Zhou ]
  * Autopkgtest: test inference with a dummy neural net exported from PyTorch.

  [ Dylan Aïssi ]
  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Mon, 13 Jan 2025 14:55:09 +0100

onnxruntime (1.19.2+dfsg-3) experimental; urgency=medium

  [ Dylan Aïssi ]
  * Enable python binding (Closes: #1088901)
    - Build new binary package: python3-onnxruntime
    - Add new Build-Deps: dh-sequence-python3, dh-sequence-numpy3,
        python3-packaging, python3-protobuf, python3-pybind11.

  [ Mateus Rodrigues de Morais ]
  * Disable LTO and O3 optimization to fix FTBFS on Ubuntu

 -- Dylan Aïssi <daissi@debian.org>  Sat, 11 Jan 2025 11:31:55 +0100

onnxruntime (1.19.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Tue, 15 Oct 2024 19:28:48 +0200

onnxruntime (1.19.2+dfsg-1) experimental; urgency=medium

  [ Shengqi Chen ]
  * d/copyright: exclude more files with unclear license
  * New upstream version 1.19.2+dfsg (closes: #1080510, #1081664)
  * d/patches:
    + refresh & remove applied patches
    + add patch to use system absl (not yet enabled)
    + add patch to fix eigen3 compilation
    + add patch to fix xnnpack compilation
    + add patch to fix compilation with gcc-14
    + add patch to set SOVERSION of shared library
  * d/control: bump B-D version of libcpuinfo and libxnnpack
  * d/rules:
    + use ninja to build
    + enable hardening
    + do not re-generate fbs schema
  * d/: bump SONAME to libonnxruntime1.19.2

  [ Dylan Aïssi ]
  * Add patch adding aliases for library onnx
  * Add symbols file
  * Add upstream/metadata

 -- Dylan Aïssi <daissi@debian.org>  Thu, 10 Oct 2024 11:13:02 +0200

onnxruntime (1.16.3+dfsg-7) unstable; urgency=medium

  * Fix includedir in pkgconfig (Closes: #1079791)
  * Add a basic build autopkgtest for the library

 -- Dylan Aïssi <daissi@debian.org>  Tue, 27 Aug 2024 16:53:29 +0200

onnxruntime (1.16.3+dfsg-6) unstable; urgency=medium

  * Update patch to include the missing header in more files,
      fix FTBFS on arm64.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 22 Aug 2024 09:54:30 +0200

onnxruntime (1.16.3+dfsg-5) unstable; urgency=medium

  * Add patch fixing compilation with newer flatbuffers (Closes: #1076959)
  * Add patch adding missing include <iomanip>

 -- Dylan Aïssi <daissi@debian.org>  Tue, 20 Aug 2024 17:45:03 +0200
