=== debian/tests/control ===
Tests: build
Depends: build-essential, pkgconf, libonnxruntime-dev
Restrictions: superficial

Test-Command: python3 debian/tests/inference.py
Depends: @, python3-torch, python3-numpy, python3-onnx,
Restrictions: allow-stderr
Architecture: amd64 arm64 ppc64el s390x riscv64

Test-Command: python3 debian/tests/providers.py
Depends: @, python3-torch, python3-numpy, python3-onnx,
Restrictions: allow-stderr
Architecture: amd64 arm64 ppc64el s390x riscv64

# this needs python3-onnxscript, which is net yet packaged.
#Test-Command: python3 transformer.py
#Depends: @, python3-torch, python3-numpy,
#Restrictions: allow-stderr
#Architecture: amd64 arm64 ppc64el s390x riscv64
