## onnxruntime 1.20.1+dfsg

=== debian/changelog ===
onnxruntime (1.20.1+dfsg-2) unstable; urgency=medium

  * d/rules: disable xnnpack EP on riscv64 (currently unusable)
  * d/patches: add patch to set noexecstack in linker flags
    (closes: #1098205)

 -- Shengqi Chen <harry@debian.org>  Wed, 19 Feb 2025 14:27:32 +0800

onnxruntime (1.20.1+dfsg-1) unstable; urgency=medium

  * Upload to unstable.

 -- Shengqi Chen <harry@debian.org>  Tue, 18 Feb 2025 22:05:43 +0800

onnxruntime (1.20.1+dfsg-1~exp3) experimental; urgency=medium

  [ Mo Zhou ]
  * Patch cmake to avoid -lkleidiai to fix arm64 FTBFS.

  [ Shengqi Chen ]
  * d/patches:
    + refresh & rename arm64-no-kleidiai to use-system-xnnpack
    + update use-system-xnnpack.patch to disable all downloading
  * d/salsa-ci.yml: enable arm64 build test
  * d/control: add myself in uploaders

 -- Shengqi Chen <harry@debian.org>  Tue, 18 Feb 2025 02:04:15 +0800

onnxruntime (1.20.1+dfsg-1~exp2) experimental; urgency=medium

  * Don't make providers versioned
  * Add some Conflicts, Replaces and Breaks to avoid
      conflicts with providers (Closes: #1094599)
  * Add more lintian overrides for providers plugins

 -- Dylan Aïssi <daissi@debian.org>  Thu, 30 Jan 2025 11:00:21 +0100

onnxruntime (1.20.1+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.20.1+dfsg
    + bump SONAME to libonnxruntime1.20.1
  * d/patches:
    + refresh existing patches, remove merged patches
    + add more hunks to fix build issue with eigen3
    + add hunk to fix c++ build issue
  * d/control: specify correct version of libxnnpack-dev in B-D

 -- Shengqi Chen <harry@debian.org>  Tue, 28 Jan 2025 19:21:58 +0800
