=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: onnxruntime
 Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
 Uploaders: Mo Zhou <lumin@debian.org>,
-           Dylan Aïssi <daissi@debian.org>
+           Dylan Aïssi <daissi@debian.org>,
+           Shengqi Chen <harry@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -27,7 +28,7 @@
                libsafeint-dev,
                libre2-dev,
                libdnnl-dev [amd64 arm64 ppc64el s390x],
-               libxnnpack-dev (>= 0.0~git20240821.87ee0b4) [amd64 arm64 armhf i386 riscv64 x32],
+               libxnnpack-dev (>= 0.0~git20241108.4ea82e5~) [amd64 arm64 armhf i386 riscv64 x32],
                ninja-build,
                nlohmann-json3-dev,
                protobuf-compiler,
@@ -48,12 +49,16 @@
 Homepage: https://github.com/microsoft/onnxruntime
 Rules-Requires-Root: no
 
-Package: libonnxruntime1.19.2
+Package: libonnxruntime1.20.1
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Conflicts: libonnxruntime1.19.2
+Replaces: libonnxruntime1.19.2,
+          libonnxruntime-dev (<< 1.20.1+dfsg-1~exp2~)
+Breaks: libonnxruntime-dev (<< 1.20.1+dfsg-1~exp2~)
 Description: cross-platform inference and training ML accelerator (shared lib)
  ONNX Runtime is a performance-focused complete scoring engine for Open Neural
  Network Exchange (ONNX) models, with an open extensible architecture to
@@ -69,7 +74,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libonnxruntime1.19.2 (= ${binary:Version}),
+Depends: libonnxruntime1.20.1 (= ${binary:Version}),
          ${misc:Depends}
 Breaks: libonnxruntime1.13.1 (<< 1.16.3+dfsg-1~)
 Replaces: libonnxruntime1.13.1 (<< 1.16.3+dfsg-1~)
@@ -104,7 +109,7 @@
 Package: python3-onnxruntime
 Architecture: any
 Section: python
-Depends: libonnxruntime1.19.2 (= ${binary:Version}),
+Depends: libonnxruntime1.20.1 (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
