=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,11 @@
 export DEB_CFLAGS_MAINT_STRIP = -O3
 export DEB_CXXFLAGS_MAINT_STRIP = -O3
 
+SOVERSION=1.20.1
+
 # xnnpack is only available on several architectures.
-ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 riscv64 x32))
+# on riscv64 the provider is not usable: https://ci.debian.net/packages/o/onnxruntime/testing/riscv64/57967709/
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 x32))
 USE_XNNPACK=ON
 else
 USE_XNNPACK=OFF
@@ -61,8 +64,7 @@
 execute_after_dh_link:
 	# To avoid having large duplicated libraries
 	dh_link -ppython3-onnxruntime \
-	  ${PATH_LIB}/libonnxruntime.so.1.19.2 ${PATH_LIB_PYTHON}/libonnxruntime.so.1.19.2 \
-	  ${PATH_LIB}/libonnxruntime_providers_shared.so.1.19.2 ${PATH_LIB_PYTHON}/libonnxruntime_providers_shared.so
+	  ${PATH_LIB}/libonnxruntime.so.$(SOVERSION) ${PATH_LIB_PYTHON}/libonnxruntime.so.$(SOVERSION)
 
 override_dh_python3:
 	dh_python3
@@ -75,3 +77,7 @@
 
 override_dh_auto_clean:
 
+override_dh_makeshlibs:
+	dh_makeshlibs \
+		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/libonnxruntime_providers_ \
+		-- -c4
