## onnxruntime 1.21.0%2Bdfsg

=== onnxruntime/python/tools/transformers/requirements.txt ===
onnx >= 1.8
numpy >= 1.19.0
coloredlogs
psutil
py-cpuinfo
py3nvml
packaging
transformers >= 4.18.0
scipy
sentencepiece
pillow

# please follow https://pytorch.org/ to install PyTorch for your OS
torch >= 1.13.1
