=== tools/ci_build/github/linux/docker/inference/aarch64/python/cpu/scripts/requirements.txt ===
numpy==1.21.6 ; python_version < '3.9'
numpy==2.1.2 ; python_version >= '3.9'
mypy
pytest
setuptools>=68.2.2
wheel
onnx==1.17.0 ; python_version < '3.13'
protobuf==4.21.12
sympy==1.12
flatbuffers
